<?php

namespace App\ViewModels\UnidadeUF\UnidadeUFRegistrationViewModel;

use App\Utils\Builder;

class UnidadeUFRegistrationViewModelBuilder implements Builder {
	protected $idUnidade;
	protected $idUf;
	protected $crc;
	protected $nomeUnidade;

	public function build(): UnidadeUFRegistrationViewModel {

		$obj = new UnidadeUFRegistrationViewModel();

		$obj->setIdUnidade( $this->idUnidade );
		$obj->setIdUf( $this->idUf );
		$obj->setCrc( $this->crc );
		$obj->setNomeUnidade( $this->nomeUnidade );

		return $obj;

	}

	/**
	 *
	 * @param mixed $idUnidade
	 */
	public function setIdUnidade($idUnidade): UnidadeUFRegistrationViewModelBuilder {

		$this->idUnidade = $idUnidade;
		return $this;

	}

	/**
	 *
	 * @param mixed $idUf
	 */
	public function setIdUf($idUf): UnidadeUFRegistrationViewModelBuilder {

		$this->idUf = $idUf;
		return $this;

	}

	/**
	 *
	 * @param mixed $crc
	 */
	public function setCrc($crc): UnidadeUFRegistrationViewModelBuilder {

		$this->crc = $crc;
		return $this;

	}

	/**
	 *
	 * @param mixed $nomeUnidade
	 */
	public function setNomeUnidade($nomeUnidade): UnidadeUFRegistrationViewModelBuilder {

		$this->nomeUnidade = $nomeUnidade;
		return $this;

	}

}

